#!/bin/bash

# SCRIPT A SER EXECUTADO NA RAIZ DO PROJETO
echo '------> MODULES SCRIPT'
cd ../
mkdir modules

cd modules
echo '------> CLONING LOGIN'
git clone git@gitlab.teknisa.com:teknisa/login-next.git login
cd login
git checkout PROD_6138_1.8.2

echo '------> BACKEND COMPOSER'
cd backend && composer install

echo '------> FRONTEND NPM'
cd ../frontend
#set environment NPM TOKEN
{ # try
    export NPM_TOKEN=957a591d-dc71-465b-99f8-16a8b06e2e68
} || { # catch
    set NPM_TOKEN=957a591d-dc71-465b-99f8-16a8b06e2e68
}

mv .env.example .env.development
sed -ie 's/<VUE_APP_DEV_SERVER_PORT>/8182/g' .env.development

cd src/config
mv devEnvironment.example devEnvironment.json
sed -ie 's/phillipesilva1.zeedhi.com\/workfolder\/om-next/erikasouza2.zeedhi.com\/workfolder\/PME/g' devEnvironment.json

cd ../..
npm install && grunt

cd ../../
echo '------> CLONING ACL'
git clone git@gitlab.teknisa.com:teknisa/acl-next.git acl
cd acl

echo '------> BACKEND COMPOSER'
cd backend && composer install

echo '------> FRONTEND NPM'
cd ../frontend
#set environment NPM TOKEN
{ # try
    export NPM_TOKEN=957a591d-dc71-465b-99f8-16a8b06e2e68
} || { # catch
    set NPM_TOKEN=957a591d-dc71-465b-99f8-16a8b06e2e68
}

mv .env.example .env.development
sed -ie 's/<VUE_APP_DEV_SERVER_PORT>/8183/g' .env.development

cd src/config
mv devEnvironment.example devEnvironment.json
sed -ie 's/phillipesilva1.zeedhi.com\/workfolder\/om-next/erikasouza2.zeedhi.com\/workfolder\/PME/g' devEnvironment.json
npm install && grunt